## bzr 2.4.1

=== debian/changelog ===
bzr (2.4.1-1ubuntu1) oneiric; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Tue, 13 Sep 2011 15:39:19 +0200

bzr (2.4.1-1) unstable; urgency=low

  * New upstream release.
   + Remove 04_fix_i18n, now applied upstream.

 -- Jelmer Vernooij <jelmer@vernstok.nl>  Tue, 13 Sep 2011 14:23:54 +0200

bzr (2.4.0-3ubuntu1) oneiric; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 31 Aug 2011 17:08:56 +0200

bzr (2.4.0-0ubuntu2) oneiric; urgency=low

  * Add support for older versions of python-testtools.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 15 Aug 2011 00:15:08 +0200

bzr (2.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
   + Fixes version number in deprecation warnings. LP: #794960
   + Fixes some spelling mistakes in manual page. LP: #814311
   + Prevents taking file system locks in read only transactions.
     LP: #786980
   + Fix support for configuration files containing UTF-8 data.
     LP: #688677

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 14 Aug 2011 02:35:33 +0200

bzr (2.4.0~beta5-2ubuntu1) oneiric; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).
  * Fix compatibility with newer versions of Python 2.7. LP: #809048

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 14 Jul 2011 18:18:11 +0200

bzr (2.4.0~beta4-4ubuntu2) oneiric; urgency=low

  * Fix FTBFS: build without --parallel.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 23 Jun 2011 11:45:29 +0200

bzr (2.4.0~beta4-4ubuntu1) oneiric; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 23 Jun 2011 10:57:10 +0200

bzr (2.4.0~beta4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Fri, 17 Jun 2011 12:30:59 +0200

bzr (2.4.0~beta2-2ubuntu1) oneiric; urgency=low

  * Merge from Debian experimental.
   + Remove build dependencies not present in main: python-medusa,
     python-subunit, python-meliae, python-lzma.
   + Disable parallel testing.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Sat, 30 Apr 2011 16:20:58 +0200
