=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -15,10 +14,14 @@
                python-all-dbg (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
+               python-lzma-dbg,
+               python-medusa,
+               python-meliae-dbg,
+               python-subunit,
                python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.6
-Vcs-Bzr: https://code.launchpad.net/~bzr-core/ubuntu/oneiric/bzr/oneiric
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.4
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
