## bzr 2.5.0~beta1

=== debian/changelog ===
bzr (2.5.0~beta1-2) experimental; urgency=low

  * Add Build-Conflicts to python-gpgme, to work around test suite
    failures.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Sep 2011 22:08:37 +0200

bzr (2.5.0~beta1-1) experimental; urgency=medium

  * New upstream release.
  * Move bzrtools from Recommends to Suggests.
  * Add python-gpgme-dbg to build dependencies.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 06 Sep 2011 17:05:06 +0200
