## bzr 2.5.0~beta2

=== debian/changelog ===
bzr (2.5.0~beta2-2) experimental; urgency=low

  * Fix bzrlib.osutils.local_concurrency() when used on GNU/kFreeBSD
    with Python's multiprocessing module available. Closes: #647690

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Nov 2011 16:15:28 +0100

bzr (2.5.0~beta2-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 04 Nov 2011 23:32:32 +0100
