## bzr 2.5.0~beta3

=== debian/changelog ===
bzr (2.5.0~beta3-2) experimental; urgency=low

  * Build-depend on python-paramiko, python-pycurl and python-gpgme for use in
    the testsuite.
  * Support installing po files.
  * Don't install duplicate licence files, already documented in
    debian/copyright.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Nov 2011 18:11:58 +0100

bzr (2.5.0~beta3-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 10 Nov 2011 15:07:50 +0100
