=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Conflicts: python-gpgme
 Build-Depends: cython-dbg | python-pyrex,
                debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
@@ -15,8 +14,11 @@
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
                python-lzma-dbg,
+               python-gpgme-dbg,
                python-medusa,
                python-meliae-dbg,
+               python-paramiko,
+               python-pycurl-dbg,
                python-subunit,
                python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.2
@@ -32,8 +34,7 @@
          ${misc:Depends},
          ${python:Depends}
 Breaks: python-bzrlib (<< 2.4.0~beta3~)
-Recommends: bzrtools
-Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests
+Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests, bzrtools
 Description: easy to use distributed version control system
  Bazaar is a distributed version control system designed to be easy to
  use and intuitive, able to adapt to many workflows, reliable, and
