## bzr 2.5.0~beta4

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,8 @@
 	# Generate a stream for PQM to watch.
 	-$(RM) -f selftest.log
 	echo `date` ": selftest starts" 1>&2
-	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest --subunit $(tests) | tee selftest.log
+	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest -Oselftest.timeout=120 \
+	  --subunit $(tests) | tee selftest.log
 	echo `date` ": selftest ends" 1>&2
 	# An empty log file should catch errors in the $(PYTHON)
 	# command above (the '|' swallow any errors since 'make'
@@ -359,4 +360,3 @@
 
 installer-all:
 	@echo Make all the installers from scratch
-	@# Build everything in a separate directory, to avoid cluttering the WT
