=== debian/changelog ===
bzr (2.5.0~beta4-2) unstable; urgency=low

  * Fix Vcs-Bzr URL.
  * Drop python-gpgme from build-depends again until 0.2 lands in sid,
    to prevent test failures.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 08 Dec 2011 14:22:35 +0100

bzr (2.5.0~beta4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 08 Dec 2011 12:24:34 +0100
