=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
+Build-Conflicts: python-gpgme
 Build-Depends: cython-dbg | python-pyrex,
                debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
@@ -14,7 +15,6 @@
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
                python-lzma-dbg,
-               python-gpgme-dbg,
                python-medusa,
                python-meliae-dbg,
                python-paramiko,
