=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Jelmer Vernooij <jelmer@debian.org>
 Build-Conflicts: python-gpgme
 Build-Depends: cython-dbg | python-pyrex,
+               ca-certificates,
                debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
@@ -33,7 +34,7 @@
          python-bzrlib (<= ${source:Version}.1~),
          ${misc:Depends},
          ${python:Depends}
-Breaks: python-bzrlib (<< 2.4.0~beta3~)
+Breaks: python-bzrlib (<< 2.4.0~beta3~), bzr-pqm (<< 1.4.0~bzr80), bzr-xmloutput (<< 0.8.8+bzr160)
 Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests, bzrtools
 Description: easy to use distributed version control system
  Bazaar is a distributed version control system designed to be easy to
