## bzr 2.5.0

=== debian/changelog ===
bzr (2.5.0-2) unstable; urgency=low

  * Use parseable format for copyright file.
  * Bump standards version to 3.9.3.
  * Add 05_allow_no_slash_controldirs: Allow control directories to not
    support creating branches with forward slashes in their name.
  * Add basic test for autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 06 Mar 2012 01:27:01 +0100

bzr (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * New zlib versions are slightly more efficient.
   + Add build dependency on zlib >= 1.2.6.
   + Add 06_new_zlib patch to fix test failures expecting slightly larger
     output in bzrlib.tests.test_btree_index.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 24 Feb 2012 18:13:29 +0100

bzr (2.5.0~bzr6473-1) unstable; urgency=low

  * New upstream snapshot.
   + No longer attempts to create directories with empty name.
     Closes: #657349

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 16:24:36 +0100
