=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Conflicts: python-gpgme
+Build-Conflicts: python-gpgme, python-sphinx
 Build-Depends: cython-dbg | python-pyrex,
                ca-certificates,
                debhelper (>> 8.1.0~),
@@ -21,10 +21,11 @@
                python-paramiko,
                python-pycurl-dbg,
                python-subunit,
-               python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.2
+               python-testtools (>= 0.9.5~),
+               zlib1g (>= 1:1.2.6)
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
-Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.4
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.5
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
