## bzr 2.5.0+bzr6492

=== debian/changelog ===
bzr (2.5.0+bzr6492-1) unstable; urgency=low

  * Recommend python-gpgme in the bzr package. Closes: #663272
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Mar 2012 02:38:36 +0100
