=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr/+download https://launchpad.net/bzr/.*/bzr-2.5.(.+).tar.gz
