## bzr 2.5.1

=== debian/changelog ===
bzr (2.5.1-0ubuntu2) precise-proposed; urgency=low

  * Revert use of --no-tty when using gpg to sign commits. LP: #1014570

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Fri, 29 Jun 2012 12:44:09 +0200

bzr (2.5.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
   + Fixes handling of colocated branches in `bzr rmbranch`. LP: #920653
   + rmbranch now refuses to remove active branch. LP: #922953
   + Connecting with HTTPS via HTTP correctly uses host name of destination
     rather than that of proxy. LP: #944696
   + No longer requires tty when GPG signing commits. LP: #847388
   + Fixes unicode erorrs when translated progress task messages
     contain non-ascii text. LP: #966934
   + Fixes display of help for configuration options that overlap
     with other topics. LP: #941672
  * Drop 06_spurious_test_failure: applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 May 2012 13:36:02 +0200

bzr (2.5.0-2ubuntu2) precise; urgency=low

  * Add 06_spurious_test_failure: mark flapping test as known
    failing if it fails.
  * Update Vcs-Bzr field to refer to precise rather than oneiric
    location.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Wed, 04 Apr 2012 02:09:24 +0200

bzr (2.5.0-2ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.
   + Drop 06_new_zlib patch and add build-conflicts for newer versions of
     zlib.
   + Adjust Vcs field in debian/control for Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Mar 2012 23:10:53 -0400

bzr (2.5.0-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.
  * Drop 06_new_zlib patch and add build-conflicts for newer versions of
    zlib.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Feb 2012 16:13:22 +0100

bzr (2.5.0~bzr6473-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Jan 2012 13:42:55 +0100

bzr (2.5.0~beta5-3ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Jan 2012 13:42:55 +0100

bzr (2.5.0~beta5-2ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Fri, 20 Jan 2012 19:19:52 +0100

bzr (2.5.0~beta5-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Mon, 16 Jan 2012 20:04:45 +0100

bzr (2.5.0~beta4-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 08 Dec 2011 13:21:44 +0100

bzr (2.5.0~beta3-2ubuntu2) precise; urgency=low

  * Drop python-gpgme-dbg from build-depends, since it is not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Tue, 29 Nov 2011 18:50:24 +0100

bzr (2.5.0~beta3-2ubuntu1) precise; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 10 Nov 2011 16:02:01 +0100

bzr (2.5.0~beta3-1ubuntu1) precise; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 10 Nov 2011 16:02:01 +0100

bzr (2.5.0~beta2-0ubuntu1) precise; urgency=low

  * New upstream release.
   + Fixes compatibility with cython 0.15. LP: #837221
   + Fixes handling of timestamps in diffs for absent files in working tree.
     LP: #847435
   + Fixes overflow error in dirstate when dealing with large files.
     LP: #683191
  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 04 Nov 2011 22:55:11 +0100
