## bzr 2.6.0~beta2

=== debian/changelog ===
bzr (2.6.0~beta2-0ubuntu1) quantal; urgency=low

  * New upstream release.
   + Make lazy imports proxy by default so that concurrent resolution is
     robust. LP: #593536
   + Crash report squashes errors when formatting plugin list.
     LP: #488766
   + Launchpad plugin subcommands are now documented in the
     manual page. LP: #843801
   + New shortcut 'co:' for referring to colocated branches. LP: #833665
   + bzr missing will now show revision tags. LP: #559072
   + BZR_REMOTE_PATH is now documented in the manual page. LP: #197618
   + Prevent erroneous writing of branch configuration. LP: #948339
   + New --overwrite-tags option for push and pull. LP: #681792
   + Support readline() when streaming files over HTTP. LP: #963769
  * Drop no-tty reversion patch; now included upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Jul 2012 12:58:34 +0200

bzr (2.6.0~beta1-0ubuntu2) quantal; urgency=low

  * Revert use of --no-tty. LP: #1014570

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 Jun 2012 11:17:51 +0200

bzr (2.6.0~beta1-0ubuntu1) quantal; urgency=low

  * New upstream release.
   + Fixes handling of colocated branches in `bzr rmbranch`. LP: #920653
   + rmbranch now refuses to remove active branch. LP: #922953
   + Connecting with HTTPS via HTTP correctly uses host name of destination
     rather than that of proxy. LP: #944696
   + No longer requires tty when GPG signing commits. LP: #847388
   + Fixes unicode erorrs when translated progress task messages
     contain non-ascii text. LP: #966934
   + Fixes display of help for configuration options that overlap
     with other topics. LP: #941672
   + Drop 06_spurious_test_failure: applied upstream. LP: #874153
   + Drop 05_allow_no_slash_controldirs: applied upstream.
  * Drop unnecessary build conflicts with zlib.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 08 Jun 2012 12:59:27 +0200
