=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
+Build-Conflicts: python-gpgme, python-sphinx
 Build-Depends: cython-dbg | python-pyrex,
                ca-certificates,
                debhelper (>> 8.1.0~),
@@ -15,17 +15,21 @@
                python-all-dbg (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
+               python-lzma-dbg,
+               python-medusa,
+               python-meliae-dbg,
                python-paramiko,
                python-pycurl-dbg,
                python-subunit,
                python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
-Vcs-Bzr: https://code.launchpad.net/~bzr-core/ubuntu/precise/bzr/precise
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.6
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
 
 Package: bzr
+Recommends: python-gpgme
 Architecture: all
 Depends: python-bzrlib (>= ${source:Version}),
          python-bzrlib (<= ${source:Version}.1~),
