## bzr 2.6.0~bzr6526

=== debian/changelog ===
bzr (2.6.0~bzr6526-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 22 Jun 2012 01:28:50 +0200

bzr (2.6.0~bzr6522-1) unstable; urgency=low

  * Remove Jeff Bailey and Reinhard Tartler from uploaders.
  * Update 03_spurious_test_failure: Disable two more flaky tests.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 16 Apr 2012 22:58:43 +0200

bzr (2.6.0~bzr6520-1) unstable; urgency=low

  * New upstream snapshot.
   + Drop 04_serve_address patch, now applied upstream.
   + Fixes cloning from HTTP URLs using urllib. Closes: #666496

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Apr 2012 12:55:57 +0200

bzr (2.6.0~bzr6511-2) unstable; urgency=low

  * Add 04_serve_address to cope with localhost lookup issues during the
    testsuite on some buildds.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Mar 2012 15:04:19 +0100
