=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,10 @@
 		mv debian/tmp/usr/lib/$$py/dist-packages/bzrlib/tests \
 			debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib/tests; \
 	done
+	if [ -d debian/tmp/usr/share/locale ]; then \
+		mkdir -p debian/python-bzrlib/usr/share; \
+		mv debian/tmp/usr/share/locale debian/python-bzrlib/usr/share/locale; \
+	fi;
 	dh_install --list-missing --fail-missing
 	# Install the documentation; since html and txt and intermixed
 	# under doc/, this is handier than trying to do it from bzr-doc.install. 
@@ -51,6 +55,7 @@
 	    	xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
 	    	"debian/bzr-doc/usr/share/doc/bzr/$$ext/{}"; \
 	done
+	rm debian/bzr-doc/usr/share/doc/bzr/txt/*/*/licence.txt
 	# Install images as well
 	( cd doc && find -name "*.png" -print0 ) | \
 	    xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
